clear
set maxobs 130000
set more 1

*------------TET expenses

use sect11a

*-------------Diep's corrections -------------------------------
replace holexpv=48 if hid==29113 & expcode==313

replace holaexpv=. if hid==28317 & (expcode==341 | expcode==342 | expcode==345)

replace holexpv=1 if hid==21907 & expcode==302
replace holaexpv=1 if hid==21907 & expcode==302
replace holexpv=5 if hid==25717 & expcode==318
replace holexpv=1 if hid==4013 & expcode==338
replace holexpv=12 if hid==25020 & expcode==338

replace holexpv=4*12.5 if hid==29113 & expcode==313

replace holexpv=45 if hid==11601 & expcode==310

recode holexpv 0=.
recode holaexpv 0=.
sort hid expcode
label data "Tet & holiday expenses"
save tetexpen, replace

*---retain only expenditure variables
keep hid expcode holexpv holaexpv
sort hid expcode
save merge, replace

use sect11b

*-------------Diep's corrections -------------------------------
replace buylym=3 if hid==11413 & expcode==326
replace buytimes=2 if hid==11413 & expcode==326
replace buytunit=4 if hid==11413 & expcode==326
replace buyqty=2 if hid==11413 & expcode==326
replace buyqunit=2 if hid==11413 & expcode==326
replace buyval=1.4 if hid==11413 & expcode==326

replace buyval=12 if hid==11420 & expcode==311
replace buyqunit=2 if hid==11420 & expcode==311
replace buyqty=1 if hid==11420 & expcode==311
replace buytunit=5 if hid==11420 & expcode==311
replace buytimes=2 if hid==11420 & expcode==311
replace buylym=5 if hid==11420 & expcode==311

replace buyly=2 if hid==1820 & expcode==313

replace buylym=12 if hid==7119 & expcode==321
replace buytunit=8 if hid==7119 & expcode==321
replace buytimes=1 if hid==7119 & expcode==321
replace buyqty=5 if hid==7119 & expcode==321
replace buyqunit=4 if hid==7119 & expcode==321
replace buyval=2 if hid==7119 & expcode==321

replace buylym=12 if hid==18701 & expcode==308
replace buytunit=8 if hid==18701 & expcode==308
replace buytimes=1 if hid==18701 & expcode==308
replace buyqty=425 if hid==18701 & expcode==308
replace buyqunit=1 if hid==18701 & expcode==308
replace buyval=4 if hid==18701 & expcode==308

replace buylym=12 if hid==20818 & expcode==321
replace buytunit=8 if hid==20818 & expcode==321
replace buytimes=1 if hid==20818 & expcode==321
replace buyqty=10 if hid==20818 & expcode==321
replace buyqunit=4 if hid==20818 & expcode==321
replace buyval=6 if hid==20818 & expcode==321

replace buyly=2 if hid==7110 & expcode==313

replace buyval=3 if hid==17220 & expcode==303 & buyval==12
replace buyval=buyval/2 if hid==21013 & expcode==303
replace buyval=buyval/2 if hid==24910 & expcode==303
replace buyval=buyval/2 if hid==22302 & expcode==303
replace buyval=5 if hid==7606 & expcode==305
replace buyval=5 if hid==18901 & expcode==309
replace buyval=7 if hid==7307 & expcode==309
replace buyval=0.3 if hid==13905 & expcode==335
replace buyval=2 if hid==24008 & expcode==335
replace buyval=3.5 if hid==11116 & expcode==340
replace hprodval=15 if hid==25916 & expcode==307

replace buyval=4 if hid==16806 & expcode==324

replace buytimes=1 if hid==608 & expcode==301
replace buytimes=1 if hid==5614 & expcode==301
replace buytimes=2 if hid==12420 & expcode==301
replace buytimes=2 if hid==13306 & expcode==301
replace buytimes=1 if hid==16517 & expcode==301
replace buytimes=1 if hid==17110 & expcode==301
replace buytimes=1 if hid==17708 & expcode==301
replace buytimes=1 if hid==20508 & expcode==301
replace buytimes=1 if hid==26210 & expcode==301
replace buytunit=8  if hid==26302 & expcode==301

replace buytimes=1 if hid==512 & expcode==303

replace buytimes=1 if hid==29113 & expcode==308
 
replace buytimes=1 if hid==16314 & expcode==309
replace buytimes=1 if hid==29513 & expcode==309

replace buytimes=1 if hid==11609 & expcode==317
replace buytimes=1 if hid==23710 & expcode==317

replace buytimes=1 if hid==10601 & expcode==320
replace buytimes=1 if hid==25918 & expcode==320

replace buytimes=1 if hid==26003 & expcode==321

replace buytunit=5 if hid==4318 & expcode==323
replace buytunit=5 if hid==4419 & expcode==323
replace buytunit=5 if hid==25313 & expcode==323
replace buytunit=5 if hid==25416 & expcode==323
replace buytunit=5 if hid==26209 & expcode==323
 
replace buytunit=5 if hid==24704 & expcode==331

replace buytunit=5 if hid==24704 & expcode==333
replace buytunit=5 if hid==23514 & expcode==333

replace buytunit=5 if hid==18715 & expcode==334
replace buytunit=5 if hid==26013 & expcode==334
replace buytunit=5 if hid==26110 & expcode==334
replace buytunit=5 if hid==26811 & expcode==334
replace buytunit=5 if hid==26816 & expcode==334
replace buytimes=1 if hid==11010 & expcode==334

replace buytimes=1 if hid==11614 & expcode==335
replace buytunit=8 if hid==11614 & expcode==335
replace buytunit=8 if hid==14615 & expcode==335
replace buytimes=1 if hid==14615 & expcode==335
replace buytimes=1 if hid==17513 & expcode==335
replace buytunit=8 if hid==23012 & expcode==335

replace buytimes=1 if hid==607 & expcode==336
replace buytimes=1 if hid==12107 & expcode==336
replace buytunit=4  if hid==12401 & expcode==336
replace buytimes=1 if hid==17503 & expcode==336
replace buytimes=1 if hid==17702 & expcode==336
replace buytimes=1 if hid==19815 & expcode==336
replace buytunit=5 if hid==26102 & expcode==336
replace buytimes=1 if hid==17817 & expcode==336

replace buytimes=1 if hid==21002 & expcode==338
replace buytimes=1 if hid==22516 & expcode==338
replace buytimes=1 if hid==24008 & expcode==338
replace buytimes=1 if hid==13118 & expcode==338
replace buytimes=1 if hid==14102 & expcode==338
replace buytimes=1 if hid==3901 & expcode==338
replace buytimes=1 if hid==11811 & expcode==338

replace buytimes=1 if hid==11320 & expcode==342
replace buytimes=1 if hid==11601 & expcode==342
replace buytunit=5 if hid==13304 & expcode==342
replace buytimes=1 if hid==23702 & expcode==342

replace buytimes=1 if hid==17601 & expcode==343
replace buytimes=1 if hid==22516 & expcode==343

replace buytimes=1 if hid==5015 & expcode==344
replace buytimes=1 if hid==17207 & expcode==344
replace buytimes=1 if hid==19716 & expcode==344
replace buytimes=1 if hid==20020 & expcode==344
replace buytimes=1 if hid==22814 & expcode==344
replace buytimes=1 if hid==29801 & expcode==344

replace buytimes=1 if hid==16806 & expcode==345
replace buytimes=1 if hid==19101 & expcode==345
replace buytimes=1 if hid==20516 & expcode==345
replace buytimes=1 if hid==27109 & expcode==345
replace buytunit=5 if hid==29105 & expcode==345

sort hid expcode
save nrmexpen, replace

keep hid expcode buylym buytimes buytunit buyval hprodval consmons
sort hid expcode
merge hid expcode using merge
tab expcode _merge


*--------------------------------------------------------------------------+
*                           ASSUMPTIONS                                    |
*                                                                          |
* 1.  We assume that Tet & holidays cover 2 weeks of the year - this is    |
*       based on discussions with the Steering Committee of the survey     |
* 2.  For expenditures related to market/barter transactions, we scale     |
*       down reported market expenditures (for the normal consumption      |
*       period IF the time unit for reporting purchases is greater than    |
*       a month & IF the household also reports market expenditures for    |   
*       the Tet period for that commodity & IF the number of months of     |
*       non-Tet purchases are greater than 6 (see documentation for        |
*       reasoning)                                                         |
* 3.  For home production we scale down reported value of home production  |
*       consumed by the household IF the number of months of consumption   |
*       exceed 6, and IF the household also reports home consumption       |
*       during the Tet period                                              |
*--------------------------------------------------------------------------+

#delimit ;
gen purchpyr=buylym*buytimes if buytunit==5;
replace purchpyr=buylym*(11.5/12)*buytimes 
        if buytunit==5 & buylym>6 & holexpv~=.;

replace purchpyr=buylym*((buytimes/7)*(365/12)) if buytunit==4;
replace purchpyr=buylym*((buytimes/7)*(350/12)) 
        if buytunit==4 & buylym>6 & holexpv~=.;

replace purchpyr=buylym*(buytimes*(365/12)) if buytunit==3;
replace purchpyr=buylym*(buytimes*(350/12)) 
        if buytunit==3 & buylym>6 & holexpv~=.;

replace purchpyr=buylym*(buytimes/3) if buytunit==6;
replace purchpyr=buylym*(buytimes/6) if buytunit==7;
replace purchpyr=buylym*(buytimes/12) if buytunit==8;

#delimit cr

label variable purchpyr "No. of purchases/year"
sum purchpyr, d

*------value of annual market/barter purchases
gen normval=buyval*purchpyr
sum

#delimit ;
replace hprodval=hprodval*(11.5/12) if consmons>6 & consmons~=. & 
       consmons~=. & holaexpv~=.;
#delimit cr

keep hid expcode normval hprodval holexpv holaexpv purchpyr=6;
replace purchpyr=buylym*(buytimes/6) if buytunit==7;
replace purchpyr=buylym*(buytimes/12) if buytunit==8;

#delimit cr

label variable purchpyr "No. of purchases/year"
sum purchpyr, d

*------value of annual market/barter purchases
gen normval=buyval*purchpyr
sum

#delimit ;
replace hprodval=hprodval*(11.5/12) if consmons>6 & consmons~=. & 
       consmons~=. & holaexpv~=.;
#delimit cr

keep hid expcode normval hprodval holexpv holaexpv purchpyr

*-----total annual household expenditures
egen xfd12m=rsum(normval hprodval holexpv holaexpv)
label variable xfd12m "Annual Food Expenditure"
sum xfd12m, d
save fdexpend, replace

collapse xfd12m, by(hid) sum(totfoodx)
sort hid
save totfoodx, replace 
