clear
set maxobs 28000  

*----expenditures on education

use \stata\vietnam\sect02

egen educexp = rsum(totschf forlanga)
label variable educexp "Education expenses"

sum educexp, d
collapse educexp, by(hid) sum(educnexp)
label var educnexp "Education expenses"
sum educnexp, d
save educnexp, replace


*------expenditures on health

use \stata\vietnam\sect03
collapse costi, by(hid) sum(hlthexp)
label variable hlthexp "Health expenditures"
replace hlthexp=600 if hid==13909 
sum hlthexp, d
sort hid
save hlthexp, replace
clear

*----water
set maxobs 5000
use \stata\vietnam\sect06

replace waterdp=waterdp*2 if waterdu==7
replace waterdp=waterdp*4 if waterdu==6
replace waterdp=waterdp*12 if waterdu==5
replace waterdp=waterdp*52 if waterdu==4
replace waterdp=waterdp*365 if waterdu==3 

replace waterop=waterop*2 if waterou==7
replace waterop=waterop*4 if waterou==6
replace waterop=waterop*12 if waterou==5
replace waterop=waterop*52 if waterou==4
replace waterop=waterop*365 if waterou==3 
sum waterop waterdp

egen waterexp=rsum(waterdp waterop)
label variable waterexp "Water expenses"
sum waterexp, d

*----garbage disposal

replace garbp=0 if garbp==. | garbp<0
replace garbp=garbp*2 if garbpu==7
replace garbp=garbp*4 if garbpu==6
replace garbp=garbp*12 if garbpu==5
replace garbp=garbp*52 if garbpu==4
replace garbp=garbp*365 if garbpu==3 
label variable garbp "Garbage displosal expenses"
sum garbp, d

*---electricity

replace elecp=0 if elecp==.
gen elecexp=elecp*(12/elecpm) 
recode elecexp .=0
label variable elecexp "Electricity expenses"
sum elecexp, d

rename garbp garbexp
keep hid waterexp garbexp elecexp
sort hid
save housexp, replace 


