clear
set maxobs 15000 

*-----------in-kind wages: main job past 7 days, main job past 12 months

*--------main job past 7 days
use \stata\vietnam\sect04b

replace earn=150 if hid==29711 & pid==4
replace earnu=5 if hid==29711 & pid==4

replace earnu=4 if hid==27418 & pid==2
replace remunc=. if remunc<0
                 
replace remunct=5 if hid==11413 & pid==2
replace renunk=.  if hid==11413 & pid==2

replace renunk=. if hid==27408 & pid==4

replace lunchct=5 if hid==11403 & pid==7
replace lunchk=. if hid==11403 & pid==7

*-----time units missing for lunch in kind - imputed on the basis
*     of values for lunch in cash and time units for lunch in cash

replace lunchkt=3 if lunchk>0 & lunchk<=15 & lunchkt==.
replace lunchkt=5 if lunchk>14 & lunchk<=120 & lunchkt==.
replace lunchkt=8 if lunchk>120 & lunchk~=. & lunchkt==.

replace holidyct=8 if hid==11710 & pid==2
replace holidyk=. if hid==11710 & pid==2

replace totalkt=5 if hid==11309 & pid==3

replace totalkt=8 if hid==6118 & pid==3
replace totalkt=5 if hid==21707 & pid==5

*----cases where there are no wages but compensations we code wages=0
*    and then drop all those with no wages
replace earnu=totalkt if earn==. & totalkt~=.
replace earn=0 if earn==. & totalkt~=.

drop if earn==.

replace renunk=. if renunkt==.
replace sturewk=. if sturewkt==.
replace lunchk=. if lunchkt==.
replace holidyk=. if holidykt==.
replace subsidk=. if subsidkt==.
replace compenk=. if compenkt==.
replace otherk=. if otherkt==.
replace totalk=. if totalkt==.

replace lunchkt=4 if hid==19412 & pid==1
replace lunchk=35 if hid==19412 & pid==1
replace lunchkt=8 if hid==6710 & pid==1

replace totalk=40 if hid==5309 & pid==1
replace totalk=1120 if hid==5818 & pid==2
replace totalk=210 if hid==8412 & pid==3
replace totalk=1000 if hid==9820 & pid==1
replace totalk=672 if hid==11801 & pid==1
replace totalk=150 if hid==12403 & pid==1
replace totalk=210 if hid==17903 & pid==5
replace totalk=20 if hid==26904 & pid==3
replace lunchkt=8 if hid==26904 & pid==3
replace totalk=458 if hid==27101 & pid==1

*---------in-kind wage calculations

gen     renuna=(renunk/52)*occmw if renunkt==8
replace renuna=(renunk/26)*occmw if renunkt==7  
replace renuna=(renunk/13)*occmw if renunkt==6  
replace renuna=(renunk/4)*occmw if renunkt==5  
replace renuna=renunk*occmw if renunkt==4
replace renuna=renunk*occmw*occmd  if renunk==3

gen     sturewa=(sturewk/52)*occmw if sturewkt==8
replace sturewa=(sturewk/26)*occmw if sturewkt==7  
replace sturewa=(sturewk/13)*occmw if sturewkt==6  
replace sturewa=(sturewk/4)*occmw if sturewkt==5  
replace sturewa=sturewk*occmw if sturewkt==4
replace sturewa=sturewk*occmw*occmd  if sturewkt==3

gen     luncha=(lunchk/52)*occmw if lunchkt==8
replace luncha=(lunchk/26)*occmw if lunchkt==7  
replace luncha=(lunchk/13)*occmw if lunchkt==6  
replace luncha=(lunchk/4)*occmw if lunchkt==5  
replace luncha=lunchk*occmw if lunchkt==4
replace luncha=lunchk*occmw*occmd  if lunchkt==3

gen     holidya=(holidyk/52)*occmw if holidykt==8
replace holidya=(holidyk/26)*occmw if holidykt==7  
replace holidya=(holidyk/13)*occmw if holidykt==6  
replace holidya=(holidyk/4)*occmw if holidykt==5  
replace holidya=holidyk*occmw if holidykt==4
replace holidya=holidyk*occmw*occmd  if holidykt==3

gen     subsida=(subsidk/52)*occmw if subsidkt==8
replace subsida=(subsidk/26)*occmw if subsidkt==7  
replace subsida=(subsidk/13)*occmw if subsidkt==6  
replace subsida=(subsidk/4)*occmw if subsidkt==5  
replace subsida=subsidk*occmw if subsidkt==4
replace subsida=subsidk*occmw*occmd  if subsidkt==3

gen     compena=(compenk/52)*occmw if compenkt==8
replace compena=(compenk/26)*occmw if compenkt==7  
replace compena=(compenk/13)*occmw if compenkt==6  
replace compena=(compenk/4)*occmw if compenkt==5  
replace compena=compenk*occmw if compenkt==4
replace compena=compenk*occmw*occmd  if compenkt==3

gen     othera=(otherk/52)*occmw if otherkt==8
replace othera=(otherk/26)*occmw if otherkt==7  
replace othera=(otherk/13)*occmw if otherkt==6  
replace othera=(otherk/4)*occmw if otherkt==5  
replace othera=otherk*occmw if otherkt==4
replace othera=otherk*occmw*occmd  if otherkt==3

gen     totala=(totalk/52)*occmw if totalkt==8
replace totala=(totalk/26)*occmw if totalkt==7  
replace totala=(totalk/13)*occmw if totalkt==6  
replace totala=(totalk/4)*occmw if totalkt==5  
replace totala=totalk*occmw if totalkt==4
replace totala=totalk*occmw*occmd  if totalkt==3

egen mj7dotha=rsum(renuna sturewa luncha holidya subsida compena othera)
replace mj7dotha=totala if mj7dotha==0 | mj7dotha==.
label variable mj7dotha "In-kind wages: main job 7days"

collapse mj7dotha luncha, by(hid) sum(inkndx lunchx)
sort hid
save inknd7d, replace


*------------main job past 12 months
use \stata\vietnam\sect04e

replace otherit=. if hid==5903 &  pid==5
replace totali=2 if hid==22818 & pid==7
replace earny=0 if hid==22818 & pid==7
replace earnyu=3 if hid==22818 & pid==7

drop if earny==.

replace renuni=. if renunit==.
replace sturewi=. if sturewit==.
replace lunchi=. if lunchit==.
replace holidyi=. if holidyit==.
replace subsidi=. if subsidit==.
replace compeni=. if compenit==.
replace otheri=. if otherit==.
replace totali=. if totalit==.

replace lunchit=8 if hid==21702 & pid==4
replace lunchi=360 if hid==21702 & pid==4
replace totalit=. if hid==29503 & pid==3
replace totali=. if hid==29503 & pid==3
replace otherit=totalit if hid==11413 & pid==1
replace otheri=totali if hid==11413 & pid==1
replace totalit=. if hid==11413 & pid==1
replace totali=. if hid==11413 & pid==1

replace totali=300 if hid==11405 & pid==3
replace totali=20 if hid==29311 & pid==3

*---------in-kind wage calculations

gen     renuna=(renuni/52)*occmyw if renunit==8
replace renuna=(renuni/26)*occmyw if renunit==7  
replace renuna=(renuni/13)*occmyw if renunit==6  
replace renuna=(renuni/4)*occmyw if renunit==5  
replace renuna=renuni*occmyw if renunit==4
replace renuna=renuni*occmyw*occmyd  if renuni==3

gen     sturewa=(sturewi/52)*occmyw if sturewit==8
replace sturewa=(sturewi/26)*occmyw if sturewit==7  
replace sturewa=(sturewi/13)*occmyw if sturewit==6  
replace sturewa=(sturewi/4)*occmyw if sturewit==5  
replace sturewa=sturewi*occmyw if sturewit==4
replace sturewa=sturewi*occmyw*occmyd  if sturewit==3

gen     luncha=(lunchi/52)*occmyw if lunchit==8
replace luncha=(lunchi/26)*occmyw if lunchit==7  
replace luncha=(lunchi/13)*occmyw if lunchit==6  
replace luncha=(lunchi/4)*occmyw if lunchit==5  
replace luncha=lunchi*occmyw if lunchit==4
replace luncha=lunchi*occmyw*occmyd  if lunchit==3

gen     holidya=(holidyi/52)*occmyw if holidyit==8
replace holidya=(holidyi/26)*occmyw if holidyit==7  
replace holidya=(holidyi/13)*occmyw if holidyit==6  
replace holidya=(holidyi/4)*occmyw if holidyit==5  
replace holidya=holidyi*occmyw if holidyit==4
replace holidya=holidyi*occmyw*occmyd  if holidyit==3

gen     subsida=(subsidi/52)*occmyw if subsidit==8
replace subsida=(subsidi/26)*occmyw if subsidit==7  
replace subsida=(subsidi/13)*occmyw if subsidit==6  
replace subsida=(subsidi/4)*occmyw if subsidit==5  
replace subsida=subsidi*occmyw if subsidit==4
replace subsida=subsidi*occmyw*occmyd  if subsidit==3

gen     compena=(compeni/52)*occmyw if compenit==8
replace compena=(compeni/26)*occmyw if compenit==7  
replace compena=(compeni/13)*occmyw if compenit==6  
replace compena=(compeni/4)*occmyw if compenit==5  
replace compena=compeni*occmyw if compenit==4
replace compena=compeni*occmyw*occmyd  if compenit==3

gen     othera=(otheri/52)*occmyw if otherit==8
replace othera=(otheri/26)*occmyw if otherit==7  
replace othera=(otheri/13)*occmyw if otherit==6  
replace othera=(otheri/4)*occmyw if otherit==5  
replace othera=otheri*occmyw if otherit==4
replace othera=otheri*occmyw*occmyd  if otherit==3

gen     totala=(totali/52)*occmyw if totalit==8
replace totala=(totali/26)*occmyw if totalit==7  
replace totala=(totali/13)*occmyw if totalit==6  
replace totala=(totali/4)*occmyw if totalit==5  
replace totala=totali*occmyw if totalit==4
replace totala=totali*occmyw*occmyd  if totalit==3

egen mj12otha=rsum(renuna sturewa luncha holidya subsida compena othera)
replace mj12otha=totala if mj12otha==0 | mj12otha==.
label variable mj12otha "In-kind wages: main job 12 months"

collapse mj12otha luncha, by(hid) sum(inkndx lunchx)
append using inknd7d
sum
collapse inkndx lunchx, by(hid) sum(inkndexp lunchexp)

label variable inkndexp "In kind wages received by hh"
label variable lunchexp "In kind wages - lunch - hh"
sort hid
save totinkx, replace



